Bug 190253 - External ethernet not working on Powerbook 667
External ethernet not working on Powerbook 667
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-29 08:07 EDT by Jon Masters
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 03:56:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Masters 2006-04-29 08:07:44 EDT
Description of problem:

No external networking. Interface is present and can be configured, ifconfig
reports device is up, no errors in kernel ringbuffer. It's just not transmitting
any packets (that I can see via tcpdump on another box) with this 2.6.16 kernel.

Version-Release number of selected component (if applicable):

2.6.16-1.2171_F

How reproducible:

Every time.

Steps to Reproduce:
1. boot kernel
2.
3.
  
Actual results:

No networking outside box.

Expected results:

Networking

Additional info:

Last known good kernel was 2.6.16-1.2157_F. The GNOME folks really want to fix
gnome-session so it can handle loss of networking - that's been broken for about
as long as I've been using GNOME.
Comment 1 Jon Masters 2006-04-29 08:11:50 EDT
/sbin/lspci -v -v -v
--------------------

0002:24:0f.0 Ethernet controller: Apple Computer Inc. UniNorth GMAC (Sun GEM)
(rev 01)
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR+
        Latency: 16 (16000ns min, 16000ns max), Cache Line Size 08
        Interrupt: pin A routed to IRQ 41
        Region 0: Memory at f5200000 (32-bit, non-prefetchable) [size=2M]
        Expansion ROM at f5100000 [disabled] [size=1M]

Modules
-------

sungem, sungem_phy
Comment 2 Jon Masters 2006-08-03 03:56:12 EDT
It's been working again for a while, dunno what git changeset fixed it and I
don't think it really matters at this point either.

Note You need to log in before you can comment on or make changes to this bug.